regex.h File Reference
`#include "oniguruma.h"`

Go to the source code of this file.

## Macros

#define | mbclen(p, e, enc) rb_enc_mbclen((p),(e),(enc))

## Variables

ONIG_EXTERN OnigEncoding | OnigEncDefaultCharEncoding

## Macro Definition Documentation

#define mbclen | ( |  | p,
|  |  | e,
|  |  | enc
| ) |  | rb_enc_mbclen((p),(e),(enc))

Definition at line 35 of file regex.h.

Referenced by rb_reg_expr_str(), rb_reg_quote(), and rb_reg_regsub().

## Variable Documentation

ONIG_EXTERN OnigEncoding OnigEncDefaultCharEncoding

Definition at line 33 of file regex.h.